ATAN2(3)

NAME
atan2, atan2f, atan2l - arc tangent function of two variables

SYNOPSIS
#include <math.h>

double atan2(double y, double x);
float atan2f(float y, float x);
long double atan2l(long double y, long double x);

Link with -lm.

DESCRIPTION
The atan2() function calculates the arc tangent of the two variables x and y. It is similar to calculating the arc tangent of y / x, except that the signs of both arguments are used to determine the quadrant of the result.

RETURN VALUE
The atan2() function returns the result in radians, which is between -PI and PI (inclusive).

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
acos(3), asin(3), atan(3), cos(3), sin(3), tan(3)

COLOPHON
This page is part of release 2.70 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.